<?php
# ***** BEGIN LICENSE BLOCK *****
# This is Auto Backup, a plugin for DotClear. 
# Copyright (c) 2005 k-net. All rights reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****

// Need to be a super admin to access this plugin
if (!defined('DC_CONTEXT_ADMIN') || !$core->auth->isSuperAdmin()) { exit; }


$config = autoBackup::getConfig();

if (isset($_POST['saveconfig'])) {
	$config['backuptype'] = $_POST['backuptype'];
	$config['backupblogid'] = $core->blog->id;#$_POST['backupblogid'];
	$config['interval'] = (int) $_POST['interval'];
	$config['repository'] = $_POST['repository'];
	$config['deleteprevbackup'] = isset($_POST['deleteprevbackup']);
	autoBackup::setConfig($config);
}

?>
<html>
<head>
<title><?php echo __('Auto Backup'); ?></title>
<script type="text/javascript">
//<![CDATA[
function toogle_backuptype(id) {
	if (id != undefined && id == 0) {
		//document.getElementById('backupblogid').disabled = 'disabled';
		document.getElementById('backupblogid_label').style.color = '#999';
	} else {
		//document.getElementById('backupblogid').disabled = '';
		document.getElementById('backupblogid_label').style.color = '#000';
	}
}
//]]>
</script>
</head>

<body>
<?php
echo '<h2>'.__('Auto Backup').'</h2>';

/*
$blogs_list = array();
foreach ($core->blogs as $k=>$v) {
	if ($core->auth->check('admin',$k)) {
		$blogs_list[html::escapeHTML($v['name']).' ('.$k.')'] = $k;
	}
}
//*/

$intervals = array(
	__('disable') =>     0,
	'6 '.__('hours') =>  3600*6,
	'12 '.__('hours') => 3600*12,
	'24 '.__('hours') => 3600*24,
	'2 '.__('days') =>   3600*24*2,
	'7 '.__('days') =>   3600*24*7,
	'14 '.__('days') =>  3600*24*14,
	);
if (!in_array($config['interval'], array(0, 3600*6, 3600*12, 3600*24, 3600*24*2, 3600*24*7, 3600*24*14))) {
	$intervals[$config['interval'].' '.__('seconds')] = $config['interval'];
}

echo '<div id="general">'.

'<p>&nbsp;</p>'.
'<h3>'.__('Settings').'</h3>'.
'<p>'.__('Auto Backup allows you to create backups automatically and often.').'<br />'.
__('It uses the Import/Export plugin to work.').'</p>'.


'<form action="'.$p_url.'" method="post">'.

'<fieldset>'.

'<p><label class="classic">'.__('Backup type :').' '.
form::combo('backuptype',array(__('All content export') => 'full', __('Blog export') => 'blog'),$config['backuptype'],'','',false,' onchange="javascript:toogle_backuptype(this.options.selectedIndex)"').'</label>&nbsp; '.
'<label id="backupblogid_label" class="classic"'.($config['backuptype'] == 'full' ? ' style="color:#999"' : '').'>'.__('Blog :').' '.
#form::combo('backupblogid',$blogs_list,$config['backupblogid'],'','',$config['backuptype'] == 'full').
'<strong>'.$core->blog->id.'</strong>'.
'</label></p>'.

'<p>'.__('Backups will be saved in a repository folder.').'</p>'.
'<p><label class="classic">'.__('Repository path :').' '.
form::field('repository',40,255,$config['repository']).'</label></p>'.

'<p><label class="classic">'.__('Create a new backup every :').' '.
form::combo('interval',$intervals,$config['interval']).'</label></p>'.

'<p><label class="classic">'.form::checkbox('deleteprevbackup',1,$config['deleteprevbackup']).' '.
__('After creating the backup, delete the previous one.').'</label></p>'.


'<p><input type="submit" name="saveconfig" value="'.__('Send').'" /></p>'.
'</fieldset>'.
'</form>'.


'<p>&nbsp;</p>'.
'<h3>'.__('Last backup').'</h3>'.
'<table>'.
'<tr><td>'.__('Last backup date :').'</td><td>'.date('r', $config['lastbackup']['date']).'</td></tr>'.
'<tr><td>'.__('File name :').'</td><td>'.html::escapeHTML($config['lastbackup']['file']).'</td></tr>'.
'</table>';


echo '</div>';

?>
</body>
</html>